---
layout: default
title: GitLab for education
description: "We want students to use our most advanced features, so they can take that experience to their future workplaces. Learn more here!"
canonical_path: "/solutions/education/"
suppress_header: true
extra_css:
  - sales-and-free-trial-common.css
  - faq.css
  - styles-2018.css
  - webcast.css
  - meetups.css
  - education.css
  - bl-modal.css
  - video-carousel.css
extra_js:
  - libs/on-scroll.js
  - in-page-nav.js
  - all-clickable.js
  - libs/slick.min.js
  - video-carousel.js
---

.wrapper
  .page-illustrated-header-container
    = partial "includes/icons/gitlab-icon-pattern-header.svg"
    .container
      .header-container-content
        = image_tag "/images/community/gitlab-for-education-logo-digital-rgb-04.svg", class: "gitlab-for-education-logo-digital-rgb-04", alt: "Gitlab for Education logo"
        %h1.page-headline <b>GitLab for Education</b>
        %h2.page-subtitle Bringing DevOps to your Campus
        .row.text-center
          = link_to "Join the GitLab for Education Program", "/solutions/education/join", class: "btn cta-btn orange margin-top20"

.wrapper.wrapper--large-fonts
  #content.devops-content.u-margin-top-lg
    .wrapper.container.js-in-page-nav-group{role: "main"}
      .row.u-margin-top-lg
        .col-md-10.col-md-offset-1
        .block
        .block-content
          %p.alert.alert-gitlab-purple.text-center
            %span.h3 <b> GitLab Hackathon Announcement!</b> Get together with the GitLab community to contribute, learn and win exciting prizes. <a href="/community/hackathon/">Join us on September 22nd - September 23rd, 2021!</a>

      .row.u-margin-top-lg
        .alert.alert-gitlab-orange.text-center{style: "display: flex;"}
          .h3 <b> GitLab DevOps in Education 2021 Survey Announcement!</b> Calling all students, faculty, and staff. We want to hear about your DevOps journey. <a href="https://gitlab.fra1.qualtrics.com/jfe/form/SV_0kPpZavEwtvQBwi">Take our survey for a chance to win a GitLab Growler!</a> Survey closes 31 October, 2021.
          .media-object.svg-shadow.alert-banner-image
            = image_tag "/images/education/Growler-Circle-small.png"
            
      .block
        .block-content
        %p
        .col-md-10.col-md-offset-1
          %h2.u-text-brand GitLab for Education

          %p At GitLab, we believe that <b>every student can contribute</b>! Our mission is to promote GitLab and DevOps at educational institutions around the world. We aim to build a community of educators, learners, and researchers who are passionate about all things related to DevOps and GitLab.

          %p Beyond providing free, unlimited licenses of our top-tier functionality (SaaS or self-managed), we want to be a resource for you to learn more about DevOps and connect with others who share your interest.

          .col-md-5.col-md-offset-1.text-left
            %h5.u-text-brand The GitLab for Education 2020 Program Survey
            %p Over 800 respondants shared thier successes and challenges with bringing the DevOps transformation to campus.
            %p Download the <a href="/solutions/education/edu-survey/">GitLab for Education 2020 Program Survey results</a> to learn more!

          .col-md-5.text-center
            = image_tag "/images/education/edu-survey-2020-cover.png", class: "title-icon"

      .row.u-margin-top-md.js-in-page-nav-section#get-involved
        .col-md-10.col-md-offset-1
          %h2.u-text-brand Get involved!

          %p We are thrilled to welcome you to the GitLab for Education Program! The GitLab for Education Program has over <b>1.25 million users of GitLab's top-tier at over 1,000 educational institutions in over 65+ countries</b>. We are the definitive source for bringing DevOps to your campus.

          %h3.u-text-brand Here are few things to get you started on your DevOps journey:

        .gitlab-content-container
          .grid-layout.grid-layout3
            = link_to "https://forum.gitlab.com/c/gitlab-for-education/37", class: "tile tile-animated grid-item" do
              = image_tag "/images/community/community-customers.svg", class: "icon-small", alt: "Gitlab community resources svg"
              .tile-content
                %h4 Join the GitLab Forum
                %p Come on by and introduce yourself! We created a special Education category as a resource for our program members. Consider the forum your resource for Q&A on GitLab!
            = link_to "https://about.gitlab.com/blog/2020/06/17/gitlab-for-education-student-spotlights/", class: "tile tile-animated grid-item" do
              = image_tag "/images/community/community-hall-of-fame.svg", class: "icon-small", alt: "Gitlab community contributing svg"
              .tile-content
                %h4 Apply to Students Spotlights
                %p Apply, interview, and get swag! We can't wait to meet you and learn about your projects!
            = link_to "https://www.twitch.tv/metzinaround", class: "tile tile-animated grid-item" do
              = image_tag "/images/downloads/logo.svg", class: "icon-small", alt: "Gitlab logo svg"
              .tile-content
                %h4 Join us on Twitch!
                %p Follow our Education Evangelist on Twitch for demos, GitLab tips and Tricks, and Student Spotlight Interviews!
            = link_to "/community/meetups/", class: "tile tile-animated grid-item" do
              = image_tag "/images/community/community-events.svg", class: "icon-small", alt: "Gitlab community events svg"
              .tile-content
                %h4 Attend or Host a Meetup
                %p In a pinch for a lecture topic? Looking for an engaging speaker on DevOps? Check out GitLab Meetups! We make it super easy.
            = link_to "/community/hackathon/", class: "tile tile-animated grid-item" do
              = image_tag "/images/community/community-hackathon.svg", class: "icon-small", alt: "Gitlab hackathon svg"
              .tile-content
                %h4 Hackathon
                %p We host quarterly hackathons where you can make contributions, win prizes, and network with other contributors. Students encouraged!
            = link_to "/community/contribute/", class: "tile tile-animated grid-item" do
              = image_tag "/images/downloads/logo.svg", class: "icon-small", alt: "Gitlab logo svg"
              .tile-content
                %h4 Become a contributor
                %p Are you a student looking to gain experience? Want to develop your skills wthin a support network? Check our our code contributor program to get started!

      .row.u-margin-top-xl.js-in-page-nav-section#education-case-studies
        .col-md-10.col-md-offset-1
          %h2.u-text-brand Education Case Studies
          .education-case-studies
            .row
              .col-md-4
                .case-study-element
                  .case-study-img
                    = image_tag "/images/case_study_logos/Dublin_City_University_Logo.svg", alt: "Case Study"
                  .case-study-content
                    %a{:href => "/customers/dublin-city-university/"}
                      %h4.case-study-title
                        Dublin City University empowers students
                    %div.case-study-author
                      by GitLab
                    %div.case-study-blurb
                    %a.case-study-btn{:href => "/customers/dublin-city-university/"}
                      Read more

              .col-md-4
                .case-study-element
                  .case-study-img
                    = image_tag "/images/case_study_logos/uw-logo.svg", alt: "Case Study"
                  .case-study-content
                    %a{:href => "/customers/uw/"}
                      %h4.case-study-title
                        Paul G. Allen Center for Computer Science
                    %div.case-study-author
                      by GitLab
                    %div.case-study-blurb
                    %a.case-study-btn{:href => "/customers/uw/"}
                      Read more

              .col-md-4
                .case-study-element
                  .case-study-img
                    = image_tag "/images/case_study_logos/eab_logo.svg", alt: "Case Study"
                  .case-study-content
                    %a{:href => "/customers/EAB/"}
                      %h4.case-study-title
                        Increasing development speed to keep students in school
                    %div.case-study-author
                      by GitLab
                    %div.case-study-blurb
                    %a.case-study-btn{:href => "/customers/EAB/"}
                      Read more

      .container.u-margin-top-40
        %h2.u-margin-bottom-sm.text-center
          Twitch Shows from the Education Evangelist
        .video-slider
          - data.video_carousel.each do |video|
            - if video.carousel_identifier.include?("Education Carousel 1")
              = partial "includes/components/video-carousel/video-item", locals: { name: video.name, title: video.title, company: video.company, photourl: video.photourl, videolink: video.video_link }

      - data.video_carousel.each do |video|
        - if video.carousel_identifier.include?("Education Carousel 1")
          = partial "includes/components/video-carousel/video-carousel-modal", locals: { videolink: video.video_link, title: video.title }

      .row.u-margin-top-xl.js-in-page-nav-section#devops-in-education
        .col-md-10.col-md-offset-1
          %h2.u-text-brand DevOps in Education

          %p DevOps + Education: Are you interested in learning more about how the two relate? We are too! You've come to the right place!

          %p There are so many different ways DevOps can be used in education. We’ve been taking note of a few of the really great ways we see DevOps entering both the higher education classroom as well as K-12 and less formal settings such as clubs and boot camps!

          .media.u-margin-top-sm.u-margin-bottom-md.has-shadowed-svg
            .media-left.media-middle.u-padding-right-sm
              .media-object.svg-shadow{ style: "width: 162px; height: 186px" }
                = partial "includes/icons/cycle-analytics/icon-benefit-1.svg"

            .media-body.media-middle
              %h3.u-margin-top-0 Open Science and research

              %p.u-margin-bottom-0 Git technology is being used to manage data and publications. Continuous integration runs analytical workflows on data. Containerization allows for reproducability and versioned analysis. Collaborative tools speed up the cycle to results. Repositories store open data and web publications.

          .media.u-margin-top-sm.u-margin-bottom-md.has-shadowed-svg
            .media-left.media-middle.u-padding-right-sm
              .media-object.svg-shadow{ style: "width: 162px; height: 162px;" }
                = partial "includes/icons/code-2-icon.svg"
            .media-body.media-middle
              %h3.u-margin-top-0 Learn computer science, coding, DevOps, and open source

              %p.u-margin-bottom-0 Central repositories and source control are great tools for learning coding. Students can learn the stages of the DevOps lifecycle easily with a single platform. Continous integration tools can quality check and grade code assignments. Collaboration for group projects is easier with a central repositories, issues, epics and milestones.

          .media.u-margin-top-sm.u-margin-bottom-md.has-shadowed-svg
            .media-left.media-middle.u-padding-right-sm
              .media-object.svg-shadow{ style: "width: 162px; height: 162px;" }
                = partial "includes/icons/home/icon-step-2.svg"
            .media-body.media-middle
              %h3.u-margin-top-0 Student portfolios

              %p.u-margin-bottom-0 Students can showcase contributions and code on a GitLab repository. GitLab profiles record a students' contributions and collaboration. GitLab can be used to host and publish blog posts, resumes, and other websites. Demonstrating use of GitLab adds credibility to DevOps skills and working knowledge.


      .row.u-margin-top-xl.js-in-page-nav-section#gitlab-in-research
        .col-md-10.col-md-offset-1
          %h2.u-text-brand GitLab in Academic Research

          %p Researchers around the world are conducting scientific research about GitLab, the company and the product, as well as using GitLab the product in thier research. The word "GitLab" appears in the title of <b>over 100 peer-reviewed articles and in the body of over 33k peer-review articles</b>! These articles cover a wide-range of topics including GitLab's all-remote operating model, continuous integration/continuous development (CI/CD), GitLab for library science, GitLab for measuring student collaboration, GitLab for deep-machine learning and <i>so many more</i>. Check out a small sample of highlights below.
          %p

        .col-md-10.col-md-offset-1.text-center
          %p <b>Recent examples of GitLab in Peer-Review Academic Research</b>
        .col-md-10.col-md-offset-1.text-center
          %table{:border => 1}
            %tbody
              %tr
                %th.text-center Citation
                %th.text-center Keywords
              %tr
                %td
                  %p.text-left Araujo, G. G. and Kyrilov, A. (2020) '<a href="http://www.ccsc.org/publications/journals/SW2020.pdf#page=53">Plagiarism Prevention through Project Based Learning with GitLab</a>', <i>The Journal of Computing Sciences in Colleges<i>, pp. 53.
                %td
                  %p teaching and learning; project based learning
              %tr
                %td
                  %p.text-left Arefeen, M. S. and Schiller, M. (2019) '<a href="http://www.ccsc.org/publications/journals/SW2020.pdf#page=53">Continuous Integration Using Gitlab</a>', <i>Undergraduate Research in Natural and Clinical Science and Technology Journal</i>, pp. 1-6.
                %td
                  %p CI
              %tr
                %td
                  %p.text-left Burr, C. and Couturier, B. <a href="http://www.ccsc.org/publications/journals/SW2020.pdf#page=53">A gateway between GitLab CI and DIRAC</a>', <i>EPJ Web of Conferences: EDP Sciences</i>, 05026.
                %td
                  %p CI
              %tr
                %td
                  %p.text-left Choudhury, P., Crowston, K., Dahlander, L., Minervini, M. S. and Raghuram, S. (2020) '<a href="http://www.ccsc.org/publications/journals/SW2020.pdf#page=53">GitLab: work where you want, when you want</a>', <i>Journal of Organization Design</i>, 9(1), pp. 1-17.
                %td
                  %p all-remote
              %tr
                %td
                  %p.text-left Choudhury, P. and Salomon, E. (2020a) '<a href="http://www.ccsc.org/publications/journals/SW2020.pdf#page=53">GitLab and the Future of All-Remote Work (A)</a>', <i>Harvard Business School Case</i>, pp. 620-066.
                %td
                  %p all-remote; case study
              %tr
                %td
                  %p.text-left Choudhury, P. and Salomon, E. (2020b) '<a href="https://www.hbs.edu/faculty/Pages/item.aspx?num=57927">GitLab and the Future of All-Remote Work (B)<a/>', <i>Harvard Business School Supplement</i> pp. 620-117.
                %td
                  %p all-remote; case study
              %tr
                %td
                  %p.text-left Engwall, K. and Roe, M. (2020) '<a href="https://journal.code4lib.org/articles/15250">Git and GitLab in library website change management workflows,</a>.', <i>Code4Lib Journal</i>, (48).
                %td
                  %p library science; change management
              %tr
                %td
                  %p.text-left Eraslan, S., Kopec-Harding, K., Jay, C., Embury, S. M., Haines, R., Ríos, J. C. C. and Crowther, P. (2020) '<a href="https://www.sciencedirect.com/science/article/pii/S0164121220300911?casa_token=22g_wDh7S5YAAAAA:jwVdmxMF46c2WPItOrokgE4yE8UQx2VnwWv5Voow7VEUGuUkreaxfAUo8Nbo9jtCmiS96kgT">Integrating GitLab Metrics into Coursework Consultation Sessions in a Software Engineering Course</a>', <i>Journal of Systems and Software</i>, pp. 110613.
                %td
                  %p teaching and learning
              %tr
                %td
                  %p.text-left Puranam, P., Minervini, M. and Wee, J. 2020. '<a href="https://publishing.insead.edu/case/gitlab">GitLab: Can "All Remote" Scale?</a>', <i>INSEAD Case Study: INSEAD</i>.
                %td
                  %p all-remote; case study study
              %tr
                %td
                  %p.text-left Than, P. P. and Phyu, M. P. ''<a href="https://dl.acm.org/doi/abs/10.1145/3373477.3373479">Continuous integration for Laravel applications with GitLab</a>', <i>iProceedings of the International Conference on Advanced Information Science and System</i>, 1-6.
                %td
                  %p CI
              %tr
                %td
                  %p.text-left Vassallo, C., Proksch, S., Jancso, A., Gall, H. C. and Di Penta, M. '<a href="https://dl.acm.org/doi/abs/10.1145/3368089.3409709">Configuration smells in continuous delivery pipelines: a linter and a six-month study on GitLab</a>', <i>iProceedings of the 28th ACM Joint Meeting on European Software Engineering Conference and Symposium on the Foundations of Software Engineering</i>, 327-337.
                %td
                  %p CI
              %tr
                %td
                  %p.text-left Wang, J., Meng, X., Wang, H. and Sun, H. ''<a href="https://link.springer.com/chapter/10.1007/978-981-15-1377-0_32">An Online Developer Profiling Tool Based on Analysis of GitLab Repositories</a>', <i>CCF Conference on Computer Supported Cooperative Work and Social Computing: Springer</>i, 408-417.
                %td
                  %p professional development; portfolio development
